/**
 * URLScheme2.java
 *
 * File generated from the medication2::URLScheme2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration URLScheme2.
 *
 * 
 */

@XmlType(name = "URLScheme")
@XmlEnum
@XmlRootElement(name = "URLScheme2")
public enum URLScheme2 {
	@XmlEnumValue("fax")
	FAX("fax"),
	@XmlEnumValue("file")
	FILE("file"),
	@XmlEnumValue("ftp")
	FTP("ftp"),
	@XmlEnumValue("http")
	HTTP("http"),
	@XmlEnumValue("mailto")
	MAILTO("mailto"),
	@XmlEnumValue("mllp")
	MLLP("mllp"),
	@XmlEnumValue("modem")
	MODEM("modem"),
	@XmlEnumValue("nfs")
	NFS("nfs"),
	@XmlEnumValue("tel")
	TEL("tel"),
	@XmlEnumValue("telnet")
	TELNET("telnet");
	
	private final String value;

    URLScheme2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static URLScheme2 fromValue(String v) {
        for (URLScheme2 c: URLScheme2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
